ThreadedEntityProcessorWrapper (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.dataimport.ThreadedEntityProcessorWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.dataimport
Class ThreadedEntityProcessorWrapper

    java.lang.Object
      org.apache.solr.handler.dataimport.EntityProcessor
          org.apache.solr.handler.dataimport.EntityProcessorWrapper
              org.apache.solr.handler.dataimport.ThreadedEntityProcessorWrapper

    public class ThreadedEntityProcessorWrapper

extends EntityProcessorWrapper

Each Entity may have only a single EntityProcessor . But the same entity can be run by multiple EntityProcessorWrapper (1 per thread) . this helps running transformations in multiple threads

Since:
  Solr 3.1

Field Summary

Fields inherited from class org.apache.solr.handler.dataimport.EntityProcessorWrapper
`resolver, rowcache, transformers`

Constructor Summary
`ThreadedEntityProcessorWrapper(EntityProcessor delegate, DocBuilder docBuilder, org.apache.solr.handler.dataimport.DocBuilder.EntityRunner entityRunner, VariableResolverImpl resolver, Map<DataConfig.Entity,org.apache.solr.handler.dataimport.DocBuilder.EntityRunner> childrenRunners, int num)`

Method Summary
`int` | `getNumber()`
`void` | `init(org.apache.solr.handler.dataimport.DocBuilder.EntityRow rows)`

Methods inherited from class org.apache.solr.handler.dataimport.EntityProcessorWrapper
`applyTransformer, close, destroy, getContext, getFromRowCache, getVariableResolver, init, nextDeletedRowKey, nextModifiedParentRowKey, nextModifiedRowKey, nextRow, pullRow, transformRow`

Methods inherited from class org.apache.solr.handler.dataimport.EntityProcessor
`postTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadedEntityProcessorWrapper

    public ThreadedEntityProcessorWrapper(EntityProcessor delegate,
                                          DocBuilder docBuilder,
                                          org.apache.solr.handler.dataimport.DocBuilder.EntityRunner entityRunner,
                                          VariableResolverImpl resolver,
                                          Map<DataConfig.Entity,org.apache.solr.handler.dataimport.DocBuilder.EntityRunner> childrenRunners,
                                          int num)

Method Detail

### init

    public void init(org.apache.solr.handler.dataimport.DocBuilder.EntityRow rows)

### getNumber

    public int getNumber()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD